import { WsManager } from './manager';
import { ViteBurnerServer, HmrData } from '../types';
export declare const formatUpload: (from: string, to: string, serverName: string) => {
    styled: string;
    raw: string;
};
export declare const formatDownload: (from: string, to: string, serverName: string) => {
    styled: string;
    raw: string;
};
export interface FileContent {
    filename: string;
    content: string;
}
export interface ResolvedDataItem {
    filename: string;
    server: string;
}
export declare type ResolvedData = ResolvedDataItem[];
export declare const defaultDownloadLocation: (file: string) => string;
export declare const defaultDts = "NetscriptDefinitions.d.ts";
export declare class WsAdapter {
    buffers: Map<string, HmrData>;
    manager: WsManager;
    server: ViteBurnerServer;
    constructor(manager: WsManager, server: ViteBurnerServer);
    getDts(): Promise<void>;
    handleHmrMessage(data?: HmrData | HmrData[]): Promise<void>;
    deleteCache(data: HmrData): void;
    dumpFile(data: HmrData, content: string, server: string): Promise<void>;
    fetchModule(data: HmrData): Promise<string>;
    fixImport(content: string, data: HmrData, serverName: string): string;
    uploadFile(data: HmrData): Promise<void>;
    fullDownload(): Promise<void>;
    getRamUsage(pattern?: string): Promise<void>;
    getRamUsageLocalData(file: string): {
        filename: string;
        server: string;
    }[];
    getRamUsageLocalRaw(file: string, resolvedData: ResolvedData): Promise<boolean>;
    getRamUsageLocal(file: string): Promise<boolean>;
    getRamUsageRemote(server: string, filename: string): Promise<void>;
    getFileNames(server: string): Promise<string[] | null>;
}
