import { WatchManager } from '..';
export interface FixImportPathOptions {
    filename: string;
    content: string;
    server: string;
    manager: WatchManager;
}
/**
 * Converts absolute path to relative path by the watch options.
 * Vite resolves import path to absolute path to source file.
 * We need to convert it back to relative so the bitburner will like it.
 *
 * Vite add a trailing slash to the path, we need to remove it before converting.
 * We also need to returns a sourcemap.
 */
export declare function fixImportPath(options: FixImportPathOptions): string;
