import { z } from 'zod';
export interface WsRequestNoParam {
    jsonrpc: '2.0';
    id: number;
    method: string;
}
export interface WsRequest<P = any> extends WsRequestNoParam {
    params: P;
}
export interface WsResponse<R = any> {
    jsonrpc: '2.0';
    id: number;
    result: R;
    error: any;
}
export declare const wsResponseSchema: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodNumber;
    result: z.ZodAny;
    error: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    error?: any;
    result?: any;
    jsonrpc: "2.0";
    id: number;
}, {
    error?: any;
    result?: any;
    jsonrpc: "2.0";
    id: number;
}>;
export interface PushFileParams {
    filename: string;
    content: string;
    server: string;
}
export declare const pushFileResponseSchema: z.ZodLiteral<"OK">;
export interface GetFileParams {
    filename: string;
    server: string;
}
export declare const getFileResponseSchema: z.ZodString;
export interface DeleteFileParams {
    filename: string;
    server: string;
}
export declare const deleteFileResponseSchema: z.ZodLiteral<"OK">;
export interface GetFileNamesParams {
    server: string;
}
export declare const getFileNamesResponseSchema: z.ZodArray<z.ZodString, "many">;
export interface GetAllFilesParams {
    server: string;
}
export declare const getAllFilesResponseSchema: z.ZodArray<z.ZodObject<{
    filename: z.ZodString;
    content: z.ZodString;
}, "strip", z.ZodTypeAny, {
    filename: string;
    content: string;
}, {
    filename: string;
    content: string;
}>, "many">;
export interface CalculateRamParams {
    filename: string;
    server: string;
}
export declare const calculateRamResponseSchema: z.ZodNumber;
export declare const getDefinitionFileResponseSchema: z.ZodString;
